Bug 161235 - show vertical line for empty block selection
Summary: show vertical line for empty block selection
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-24 18:51 UTC by Maciej Pilichowski
Modified: 2013-08-08 08:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2008-04-24 18:51:28 UTC
Version:            (using KDE 3.5.9)
Installed from:    SuSE RPMs

When you select such text

|a
b
c|

it is clear what you selected. But if you start to select this way

|a
b
|c

there is no visual indicator what is going on. Please show the vertical line -- 1-2 pixels wide just user would see there is selection.

It would be useful also when you switch often back and forth from normal to block. When you select the latter case in normal mode you see the selection -- but not in block mode.
Comment 1 Andrey Matveyakin 2013-08-07 20:10:57 UTC
Fixed in 69f4ba86bec7d9ab0fe347d6ac9e04c24906af9a
Comment 2 Dominik Haumann 2013-08-08 08:53:39 UTC
Fixed in KDE 4.12 thanks to Andrey Matveyakin.